Bug 1254950 - qpidd does not support 'no-local' for subscribers using AMQP 1.0
qpidd does not support 'no-local' for subscribers using AMQP 1.0
Status: POST
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: messaging-bugs
Messaging QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 06:02 EDT by Robbie Gemmell
Modified: 2016-03-28 19:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-6391 None None None Never

  None (edit)
Description Robbie Gemmell 2015-08-19 06:02:45 EDT
The broker does not support 'no-local' functionality for AMQP 1.0 subscribers. The JMS client currently uses the following filter to request no-local behaviour:

<type name="no-local-filter" class="composite" source="list" provides="filter"> <descriptor name="apache.org:no-local-filter:list" code="0x0000468C:0x00000003"/> </type>

https://svn.apache.org/repos/asf/qpid/trunk/qpid/specs/apache-filters.xml#type-no-local-filter
Comment 1 Gordon Sim 2015-08-28 18:18:48 EDT
Fixed upstream: https://svn.apache.org/r1698427
Comment 2 Mike McCune 2016-03-28 19:04:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.